com.taosdata.jdbc.ws.tmq.meta

## Class Column

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Column

    public class Column
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Column()`
`Column(String name, int type, Integer length, Boolean primarykey, String encode, String compress, String level)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getCompress()`
`String` `getEncode()`
`Integer` `getLength()`
`String` `getLevel()`
`String` `getName()`
`int` `getType()`
`int` `hashCode()`
`Boolean` `isPrimarykey()`
`void` `setCompress(String compress)`
`void` `setEncode(String encode)`
`void` `setLength(Integer length)`
`void` `setLevel(String level)`
`void` `setName(String name)`
`void` `setPrimarykey(Boolean primarykey)`
`void` `setType(int type)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Column

    public Column()

#### Column

    public Column(String name,
                  int type,
                  Integer length,
                  Boolean primarykey,
                  String encode,
                  String compress,
                  String level)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getType

    public int getType()

#### setType

    public void setType(int type)

#### getLength

    public Integer getLength()

#### setLength

    public void setLength(Integer length)

#### isPrimarykey

    public Boolean isPrimarykey()

#### setPrimarykey

    public void setPrimarykey(Boolean primarykey)

#### getEncode

    public String getEncode()

#### setEncode

    public void setEncode(String encode)

#### getCompress

    public String getCompress()

#### setCompress

    public void setCompress(String compress)

#### getLevel

    public String getLevel()

#### setLevel

    public void setLevel(String level)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`